/******************************************************************************

		gTimeOut
  
	profile.h
  
	Josef Kufner 
 
******************************************************************************/

#ifndef GTIMEOUT_PROFILE_H
#define GTIMEOUT_PROFILE_H

#define PROFILE_MAX	256		/* Pocet profilu */

#define NAME_LEN	256
#define CMD_LEN		1024

typedef struct gtimeout_profile {
	char name[NAME_LEN];
	long int time;
	char 	cmd_start[CMD_LEN],	/* prikaz pri spusteni */
		cmd_stop[CMD_LEN],		/* prikaz pri zastaveni */
		cmd_done[CMD_LEN];		/* prikaz pri dobehnuti */
	int cmd_start_en, cmd_stop_en, cmd_done_en; /* Je prikaz povolen? */
} GTIMEOUT_PROFILE;

extern GTIMEOUT_PROFILE profile[PROFILE_MAX];

int gtimeout_profile_save(GTIMEOUT_PROFILE *profile);
int gtimeout_profile_load(GTIMEOUT_PROFILE *profile);

int gtimeout_profile_add(GTIMEOUT_PROFILE *profile);

#endif

