/*
 *	interface.h
 * 
 * 	Josef Kufner <jkufner@seznam.cz>
 *
 * 
 */

#ifndef GTIMEOUT_INTERFACE_H
#define GTIMEOUT_INTERFACE_H

#include "profile.h"

  extern GtkWidget *w_main;
  extern GtkWidget *vbox1;
  extern GtkWidget *f_profile;
  extern GtkWidget *vbox2;
  extern GtkWidget *c_profile;
  extern GtkWidget *e_profile;
  extern GtkWidget *hbuttonbox1;
  extern GtkWidget *b_new;
  extern GtkWidget *b_chng;
  extern GtkWidget *b_del;
  extern GtkWidget *f_time;
  extern GtkWidget *vbox3;
  extern GtkWidget *progressbar;
  extern GtkWidget *hbuttonbox2;
  extern GtkWidget *b_start;
  extern GtkWidget *b_pause;
  extern GtkWidget *b_stop;
  extern GtkWidget *hbuttonbox3;
  extern GtkWidget *b_about;
  extern GtkWidget *b_exit;

  extern GtkWidget *w_profile;
  extern GtkWidget *vbox7;
  extern GtkWidget *f_prof_ed;
  extern GtkWidget *vbox8;
  extern GtkWidget *table3;
  extern GtkWidget *f_prof_name;
  extern GtkWidget *l_prof_time;
  extern GtkWidget *e_prof_name;
  extern GtkWidget *hbox1;
  extern GtkObject *s_prof_hour_adj;
  extern GtkWidget *s_prof_hour;
  extern GtkWidget *l_prof_hm;
  extern GtkObject *s_prof_min_adj;
  extern GtkWidget *s_prof_min;
  extern GtkWidget *l_prof_ms;
  extern GtkObject *s_prof_sec_adj;
  extern GtkWidget *s_prof_sec;
  extern GtkWidget *f_event_event;
  extern GtkWidget *table4;
  extern GtkWidget *l_event_event;
  extern GtkWidget *l_event_action;
  extern GtkWidget *ch_event_start;
  extern GtkWidget *ch_event_done;
  extern GtkWidget *ch_event_stop;
  extern GtkWidget *e_event_start;
  extern GtkWidget *e_event_done;
  extern GtkWidget *e_event_stop;
  extern GtkWidget *hseparator;
  extern GtkWidget *hbuttonbox4;
  extern GtkWidget *b_prof_ok;
  extern GtkWidget *b_prof_cancel;

  extern GtkWidget *w_about;
  extern GtkWidget *vbox9;
  extern GtkWidget *scrolledwindow_about;
  extern GtkWidget *text_about;
  extern GtkWidget *hbuttonbox5;
  extern GtkWidget *b_about_close;

  extern GtkWidget *w_alarm;
  extern GtkWidget *f_alarm;
  extern GtkWidget *vbox10;
  extern GtkWidget *label7;
  extern GtkWidget *hseparator2;
  extern GtkWidget *hbuttonbox7;
  extern GtkWidget *b_alarm;

void interface_update_profiles(GTIMEOUT_PROFILE *prof, int prof_no);
GtkWidget* create_w_main (void);
GtkWidget* create_w_profile (void);
GtkWidget* create_w_about (void);
GtkWidget* create_w_alarm (char *name);

#endif

